Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus storage volume unset`

Unset storage volume configuration keys

## Synopsis

Description: Unset storage volume configuration keys

    incus storage volume unset [<remote>:]<pool> [<type>/]<volume> <key> [flags]

## Examples

      Provide the type of the storage volume if it is not custom.
      Supported types are custom, image, container and virtual-machine.

      incus storage volume unset default data size
          Remotes the size/quota of a custom volume "data" in pool "default".

      incus storage volume unset default virtual-machine/data snapshots.expiry
          Removes the snapshot expiration period for a virtual machine "data" in pool "default".

## Options

      -p, --property   Unset the key as a storage volume property
          --target     Cluster member name

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus storage volume - Manage storage volumes